org.eclipse.rdf4j.repository

## Class GraphQueryResultTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.GraphQueryResultTest

-     public abstract class GraphQueryResultTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQueryResultTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository()`
    `protected abstract Repository` | `newRepository()`
    `void` | `setUp()`
    `static void` | `setUpClass()`
    `void` | `tearDown()`
    `void` | `testConstructEmpty()`
    `void` | `testConstructMultiple()`
    `void` | `testConstructSingle()`
    `void` | `testDescribeEmpty()`
    `void` | `testDescribeMultiple()`
    `void` | `testDescribeSingle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphQueryResultTest

          public GraphQueryResultTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`

    - #### testDescribeEmpty

          public void testDescribeEmpty()
                                 throws Exception

      Throws:
        `Exception`

    - #### testDescribeSingle

          public void testDescribeSingle()
                                  throws Exception

      Throws:
        `Exception`

    - #### testDescribeMultiple

          public void testDescribeMultiple()
                                    throws Exception

      Throws:
        `Exception`

    - #### testConstructEmpty

          public void testConstructEmpty()
                                  throws Exception

      Throws:
        `Exception`

    - #### testConstructSingle

          public void testConstructSingle()
                                   throws Exception

      Throws:
        `Exception`

    - #### testConstructMultiple

          public void testConstructMultiple()
                                     throws Exception

      Throws:
        `Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.